<div class="table-responsive" *ngIf="organization.length > 0;else no_data">
    <table class="table org-table" [mfData]="organization" [mfRowsOnPage]="paginationOrgInfo.numberRowPerPage" #mf="mfDataTable" [(mfSortBy)]="paginationOrgInfo.organizationsortBy" [(mfSortOrder)]="paginationOrgInfo.organizationsortOrder">
        <thead>
            <tr>
                <th>
                    <mfDefaultSorter by="name" class="sorter"> Organization Name </mfDefaultSorter>
                    <!-- <span class="glyphicon glyphicon-filter">&nbsp;</span> -->
                </th>
                <th>
                    <mfDefaultSorter by="address.city" class="sorter">Location</mfDefaultSorter>
                </th>
                <th><mfDefaultSorter by="phones" class="sorter">Contact Number</mfDefaultSorter></th>
                <th class="text-center"><mfDefaultSorter by="status" class="sorter">Status</mfDefaultSorter></th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let organization of mf.data">
                <td>
                    <!-- <input type="checkbox" name="" /> -->
                    <img [src]="organization.logo" class="img-thumbnail org-image" [alt]="organization.name" />
                    <a (click)="editOrganization(organization)" href="javascript:void(0);">{{organization.name}}</a>
                </td>
                <td>
                    {{organization.address?.city}} {{organization.address?.city ? ',': ''}} {{organization.address?.stateCode}} {{ organization.address?.stateCode ? ',' :''}} {{organization.address?.postcode}} {{ organization.address?.postcode ? ',': ''}} {{organization.address?.countryCode}}
                </td>
                <td>{{organization.phones[0]}}</td>
                <td class="text-center">
                    <svg class="svg-icon" [ngSwitch]="organization.status">
                    <use *ngSwitchCase="1" [attr.xlink:href]="statusSvg[1]"></use>
                    <use *ngSwitchCase="true" [attr.xlink:href]="statusSvg[1]"></use>
                    <use *ngSwitchCase="0" [attr.xlink:href]="statusSvg[0]"></use>
                    <use *ngSwitchCase="false" [attr.xlink:href]="statusSvg[0]"></use>
                    </svg>
                </td>
            </tr>
        </tbody>
        <tfoot>
            <tr>
                <td colspan="4"></td>
            </tr>
        </tfoot>
        <tr>
            <td colspan="4" class="text-right">
                <mfBootstrapPaginator [rowsOnPageSet]="[]"></mfBootstrapPaginator>
            </td>
        </tr>
    </table>
</div>
<ng-template #no_data>
    <div class="col-lg-12 col-md-12 col-sm-12 col-xs-12 no-data">
        No Organization exists
    </div>
</ng-template>
